haltu/muuri 软件分析报告

基础信息

项目名称:haltu/muuri

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1754492494298906624/1757973385155969024

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
socket.io 拒绝服务漏洞 拒绝服务 MPS-15wb-xgoz CVE-2023-32695 高危
org.webjars.npm:semver-regex ReDoS 漏洞 拒绝服务 MPS-2015-6495 高危
Ajv v6.12.2 输入验证错误漏洞 MAID MPS-2020-10525 CVE-2020-15366 中危
decompress package 路径遍历漏洞 路径遍历 MPS-2020-6640 CVE-2020-12265 严重
UIkarma 打开重定向漏洞 跨站重定向 MPS-2021-19534 CVE-2021-23495 中危
semver-regex 拒绝服务漏洞 ReDoS MPS-2021-31625 CVE-2021-3795 高危
Async 原型污染漏洞 原型污染 MPS-2021-34434 CVE-2021-43138 高危
Takayuki Sato copy-props 安全漏洞 原型污染 MPS-2021-3446 CVE-2020-28503 严重
semver-regex 安全漏洞 ReDoS MPS-2021-35111 CVE-2021-43307 高危
Engine.IO 代码问题漏洞 对因果或异常条件的不恰当检查 MPS-2021-37034 CVE-2022-21676 高危
log4js-node 存在信息泄露漏洞 缺省权限不正确 MPS-2021-37062 CVE-2022-21704 中危
glob-parent 拒绝服务 MPS-2021-7827 CVE-2020-28469 高危
follow-redirects 侵犯隐私 MPS-2022-0815 CVE-2022-0155 中危
semver-regex 存在拒绝服务漏洞 不正确的正则表达式 MPS-2022-14030 中危
semver-regex 存在拒绝服务漏洞 拒绝服务 MPS-2022-14031 高危
semver-regex 存在ReDoS漏洞 ReDoS MPS-2022-14032 中危
node-fetch 信息泄露漏洞 未授权敏感信息泄露 MPS-2022-1461 CVE-2022-0235 中危
got 存在打开重定向漏洞 跨站重定向 MPS-2022-19247 CVE-2022-33987 中危
Karma 跨站脚本漏洞 XSS MPS-2022-2997 CVE-2022-0437 中危
follow-redirects 未授权敏感信息泄露 MPS-2022-3636 CVE-2022-0536 中危
Express 中的 qs 模块存在原型污染漏洞 原型污染 MPS-2022-3967 CVE-2022-24999 高危
terser 安全漏洞 ReDoS MPS-2022-5145 CVE-2022-25858 高危
http-cache-semantics 安全漏洞 ReDoS MPS-2022-5164 CVE-2022-25881 高危
node-semver 安全漏洞 ReDoS MPS-2022-5166 CVE-2022-25883 高危
decode-uri-component 拒绝服务 MPS-2022-56259 CVE-2022-38900 高危
Socketio Engine.IO拒绝服务漏洞 未捕获的异常 MPS-2022-58577 CVE-2022-41940 中危
minimatch 资源管理错误漏洞 拒绝服务 MPS-2022-59845 CVE-2022-3517 高危
cross-fetch 安全漏洞 授权检查错误 MPS-2022-8877 CVE-2022-1365 中危
word-wrap 安全漏洞 ReDoS MPS-2023-5109 CVE-2023-26115 高危
follow-redirects 输入验证不恰当 MPS-2023-5153 CVE-2023-26159 高危
Vite 安全漏洞 访问控制不当 MPS-8fqe-kx9y CVE-2024-23331 高危
Vite 安全漏洞 使用不正确的解析名称或索引 MPS-o473-85mg CVE-2023-34092 高危
PostCSS 安全漏洞 注入 MPS-y3tx-jzms CVE-2023-44270 中危

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
follow-redirects 1.12.1 1.15.4 间接依赖 强烈建议修复
decompress-tar 4.1.1 间接依赖 建议修复
engine.io 4.1.1 6.4.2 间接依赖 建议修复
decode-uri-component 0.2.0 0.2.1 间接依赖 建议修复
qs 6.7.0 6.7.3 间接依赖 建议修复
qs 6.7.0 6.7.3 间接依赖 建议修复
semver-regex 2.0.0 3.1.4 间接依赖 建议修复
engine.io 4.1.1 6.4.2 间接依赖 建议修复
decode-uri-component 0.2.0 0.2.1 间接依赖 建议修复
semver-regex 2.0.0 3.1.4 间接依赖 建议修复
copy-props 2.0.4 2.0.5 间接依赖 建议修复
copy-props 2.0.4 2.0.5 间接依赖 建议修复
socket.io-parser 4.0.4 4.2.3 间接依赖 建议修复
karma 6.3.4 6.3.16 直接依赖 建议修复
word-wrap 1.2.3 1.2.4 间接依赖 建议修复
vite 3.1.0 3.2.8 间接依赖 建议修复
glob-parent 3.1.0 5.1.2 间接依赖 建议修复
terser 5.7.1 5.14.2 直接依赖 建议修复
minimatch 3.0.4 3.0.5 间接依赖 建议修复
ajv 6.12.2 6.12.3 间接依赖 可选修复
async 3.2.0 3.2.2 间接依赖 可选修复
node-fetch 2.6.1 2.6.7 间接依赖 可选修复
semver 5.7.1 7.5.2 间接依赖 可选修复
http-cache-semantics 4.1.0 4.1.1 间接依赖 可选修复
got 11.8.2 11.8.5 间接依赖 可选修复
log4js 6.3.0 6.4.0 间接依赖 可选修复
postcss 8.4.16 8.4.31 间接依赖 可选修复
async 3.2.0 3.2.2 间接依赖 可选修复
log4js 6.3.0 6.4.0 间接依赖 可选修复

许可证风险

许可证类型 相关组件 许可证风险
ISC 42
MIT 631
Apache-2.0 14
CC-BY-3.0 1
BSD-2-Clause 12
BSD-3-Clause 9
Beerware 1
CC0-1.0 1

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
picocolors 1.0.0 间接依赖 npm
inflight 1.0.6 间接依赖 npm
os-locale 1.4.0 直接依赖 npm
yargs 16.2.0 间接依赖 npm
p-finally 1.0.0 间接依赖 npm
p-is-promise 1.1.0 间接依赖 npm
array-slice 1.1.0 间接依赖 npm
@docsearch/css 3.2.1 间接依赖 npm
default-resolution 2.0.0 间接依赖 npm
log4js 6.3.0 间接依赖 npm
@vue/runtime-dom 3.2.39 间接依赖 npm
@types/cookie 0.4.0 间接依赖 npm
readdirp 2.2.1 间接依赖 npm
rgb2hex 0.2.3 间接依赖 npm
arch 2.2.0 间接依赖 npm
chownr 1.1.4 间接依赖 npm
@types/parse-json 4.0.0 间接依赖 npm
doctrine 3.0.0 间接依赖 npm
spdx-exceptions 2.1.0 间接依赖 npm
to-buffer 1.1.1 间接依赖 npm
remove-bom-buffer 3.0.0 间接依赖 npm
buffer 5.7.1 间接依赖 npm
fragment-cache 0.2.1 间接依赖 npm
graceful-fs 4.2.6 间接依赖 npm
ignore 4.0.6 间接依赖 npm
archy 1.0.0 间接依赖 npm
has-symbols 1.0.0 间接依赖 npm
strip-eof 1.0.0 间接依赖 npm
decompress-tar 4.1.1 间接依赖 npm
regex-not 1.0.2 间接依赖 npm
@vue/compiler-ssr 3.2.39 间接依赖 npm
socket.io-parser 4.0.4 间接依赖 npm
@algolia/requester-common 4.14.2 间接依赖 npm
@algolia/logger-common 4.14.2 间接依赖 npm
sourcemap-codec 1.4.8 间接依赖 npm
is-glob 4.0.1 间接依赖 npm
content-type 1.0.4 间接依赖 npm
karma-chrome-launcher 3.1.0 直接依赖 npm
which-module 1.0.0 直接依赖 npm
espree 6.2.1 间接依赖 npm
@vitejs/plugin-vue 3.1.0 间接依赖 npm
source-map-support 0.5.19 间接依赖 npm
micromatch 3.1.10 间接依赖 npm
color-name 1.1.3 间接依赖 npm
path-is-absolute 1.0.1 间接依赖 npm
pseudomap 1.0.2 间接依赖 npm
camel-case 4.1.2 间接依赖 npm
@babel/parser 7.19.0 间接依赖 npm
husky 4.3.8 直接依赖 npm
validate-npm-package-license 3.0.4 间接依赖 npm
https-proxy-agent 4.0.0 间接依赖 npm
pkg-dir 4.2.0 间接依赖 npm
@types/which 1.3.2 间接依赖 npm
nanoid 3.3.4 间接依赖 npm
devtools 6.12.1 间接依赖 npm
compare-versions 3.6.0 间接依赖 npm
p-limit 2.3.0 间接依赖 npm
eslint-utils 1.4.3 间接依赖 npm
async 3.2.0 间接依赖 npm
compress-commons 4.1.0 间接依赖 npm
ci-info 2.0.0 间接依赖 npm
@vue/server-renderer 3.2.39 间接依赖 npm
raw-body 2.4.0 间接依赖 npm
anymatch 2.0.0 间接依赖 npm
normalize-url 4.5.1 间接依赖 npm
end-of-stream 1.4.1 间接依赖 npm
tiny-glob 0.2.8 间接依赖 npm
decode-uri-component 0.2.0 间接依赖 npm
through2-filter 3.0.0 间接依赖 npm
download 7.1.0 间接依赖 npm
repeat-string 1.6.1 间接依赖 npm
qunit 2.16.0 直接依赖 npm
yauzl 2.10.0 间接依赖 npm
glogg 1.0.2 间接依赖 npm
inquirer 7.1.0 间接依赖 npm
just-debounce 1.0.0 间接依赖 npm
caw 2.0.1 间接依赖 npm
external-editor 3.1.0 间接依赖 npm
cliui 3.2.0 间接依赖 npm
cache-base 1.0.1 间接依赖 npm
decompress-unzip 4.0.1 间接依赖 npm
esbuild-linux-mips64le 0.15.7 间接依赖 npm
read-pkg 1.1.0 间接依赖 npm
collection-visit 1.0.0 间接依赖 npm
parse-json 2.2.0 间接依赖 npm
levn 0.3.0 间接依赖 npm
append-buffer 1.0.2 间接依赖 npm
defer-to-connect 2.0.1 间接依赖 npm
is-descriptor 0.1.6 间接依赖 npm
safer-buffer 2.1.2 间接依赖 npm
readdir-glob 1.1.1 间接依赖 npm
nanomatch 1.2.13 间接依赖 npm
matcher 3.0.0 间接依赖 npm
es6-error 4.1.1 间接依赖 npm
saucelabs 4.7.5 间接依赖 npm
spdx-correct 3.0.0 间接依赖 npm
v8flags 3.2.0 间接依赖 npm
boolean 3.0.1 间接依赖 npm
resolve-from 4.0.0 间接依赖 npm
spdx-expression-parse 3.0.0 间接依赖 npm
lodash.difference 4.5.0 间接依赖 npm
clone-buffer 1.0.0 间接依赖 npm
through 2.3.8 间接依赖 npm
@wdio/logger 6.10.10 间接依赖 npm
get-port 5.1.1 间接依赖 npm
@vueuse/metadata 9.2.0 间接依赖 npm
upper-case 2.0.2 间接依赖 npm
socket.io 3.1.2 间接依赖 npm
webdriverio 6.12.1 间接依赖 npm
require-main-filename 1.0.1 直接依赖 npm
tmp 0.0.33 间接依赖 npm
minimatch 3.0.4 间接依赖 npm
is-extglob 2.1.1 间接依赖 npm
clone-response 1.0.2 间接依赖 npm
roarr 2.15.3 间接依赖 npm
content-disposition 0.5.3 间接依赖 npm
buffer-alloc 1.2.0 间接依赖 npm
void-elements 2.0.1 间接依赖 npm
map-cache 0.2.2 间接依赖 npm
table 5.4.6 间接依赖 npm
ansi-colors 1.1.0 间接依赖 npm
json-buffer 3.0.1 间接依赖 npm
read-pkg-up 1.0.1 直接依赖 npm
from2 2.3.0 间接依赖 npm
http2-wrapper 1.0.3 间接依赖 npm
define-property 2.0.2 间接依赖 npm
clone 2.1.2 间接依赖 npm
snapdragon-util 3.0.1 间接依赖 npm
semver-truncate 1.1.2 间接依赖 npm
ms 2.0.0 间接依赖 npm
ent 2.2.0 间接依赖 npm
color-support 1.1.3 间接依赖 npm
@wdio/protocols 6.12.0 间接依赖 npm
mkdirp-classic 0.5.3 间接依赖 npm
mime-types 2.1.27 间接依赖 npm
@docsearch/js 3.2.1 间接依赖 npm
@algolia/client-analytics 4.14.2 间接依赖 npm
signal-exit 3.0.3 间接依赖 npm
esrecurse 4.2.1 间接依赖 npm
convert-source-map 1.6.0 间接依赖 npm
async-each 1.0.1 间接依赖 npm
http-errors 1.7.2 间接依赖 npm
query-string 5.1.1 直接依赖 npm
@types/keyv 3.1.1 间接依赖 npm
class-utils 0.3.6 间接依赖 npm
onetime 5.1.0 间接依赖 npm
path-root 0.1.1 间接依赖 npm
expand-brackets 2.1.4 间接依赖 npm
is-stream 1.1.0 间接依赖 npm
ieee754 1.2.1 间接依赖 npm
text-table 0.2.0 间接依赖 npm
p-locate 4.1.0 间接依赖 npm
magic-string 0.25.9 间接依赖 npm
balanced-match 1.0.0 间接依赖 npm
decamelize 1.2.0 直接依赖 npm
is-unc-path 1.0.0 间接依赖 npm
@vue/compiler-core 3.2.39 间接依赖 npm
ansi-gray 0.1.1 间接依赖 npm
esbuild-linux-64 0.15.7 间接依赖 npm
cli-cursor 3.1.0 间接依赖 npm
es5-ext 0.10.50 间接依赖 npm
marky 1.2.2 间接依赖 npm
engine.io 4.1.1 间接依赖 npm
builtin-modules 1.1.1 间接依赖 npm
esbuild-android-arm64 0.15.7 间接依赖 npm
wrappy 1.0.2 间接依赖 npm
fsevents 1.2.11 间接依赖 npm
union-value 1.0.1 间接依赖 npm
@szmarczak/http-timer 4.0.5 间接依赖 npm
type-fest 0.8.1 间接依赖 npm
undertaker-registry 1.0.1 间接依赖 npm
change-case 4.1.2 间接依赖 npm
http-proxy 1.18.1 间接依赖 npm
brace-expansion 1.1.11 间接依赖 npm
supports-preserve-symlinks-flag 1.0.0 间接依赖 npm
buffer-crc32 0.2.13 间接依赖 npm
fill-range 4.0.0 间接依赖 npm
shebang-command 1.2.0 间接依赖 npm
buffer-equal 1.0.0 间接依赖 npm
to-regex-range 2.1.1 间接依赖 npm
on-finished 2.3.0 间接依赖 npm
bin-check 4.1.0 间接依赖 npm
uri-js 4.2.2 间接依赖 npm
ua-parser-js 0.7.28 间接依赖 npm
has 1.0.3 间接依赖 npm
make-iterator 1.0.1 间接依赖 npm
expand-tilde 2.0.2 间接依赖 npm
define-properties 1.1.3 间接依赖 npm
fast-deep-equal 3.1.1 间接依赖 npm
global-agent 2.1.12 间接依赖 npm
ext-list 2.2.2 间接依赖 npm
qs 6.7.0 间接依赖 npm
lodash.clonedeep 4.5.0 间接依赖 npm
dot-case 3.0.4 间接依赖 npm
number-is-nan 1.0.1 间接依赖 npm
timed-out 4.0.1 直接依赖 npm
async-done 1.3.2 间接依赖 npm
commander 7.1.0 间接依赖 npm
array-each 1.0.1 间接依赖 npm
gulp 4.0.2 直接依赖 npm
esbuild-android-64 0.15.7 间接依赖 npm
esbuild-linux-riscv64 0.15.7 间接依赖 npm
get-caller-file 1.0.3 间接依赖 npm
@algolia/client-personalization 4.14.2 间接依赖 npm
delayed-stream 1.0.0 间接依赖 npm
path-parse 1.0.7 间接依赖 npm
is-accessor-descriptor 0.1.6 间接依赖 npm
lodash.isplainobject 4.0.6 间接依赖 npm
array-sort 1.0.0 间接依赖 npm
lodash.isobject 3.0.2 间接依赖 npm
@wdio/repl 6.11.0 间接依赖 npm
bin-version-check 4.0.0 间接依赖 npm
socket.io-adapter 2.1.0 间接依赖 npm
sort-keys-length 1.0.1 间接依赖 npm
@vueuse/core 9.2.0 间接依赖 npm
glob 7.1.7 间接依赖 npm
esbuild-freebsd-arm64 0.15.7 间接依赖 npm
ansi-wrap 0.1.0 间接依赖 npm
is-plain-object 2.0.4 间接依赖 npm
execa 0.7.0 间接依赖 npm
isurl 1.0.0 间接依赖 npm
yargs-parser 5.0.1 间接依赖 npm
static-extend 0.1.2 间接依赖 npm
path-key 2.0.1 间接依赖 npm
base64-js 1.5.1 间接依赖 npm
fast-json-stable-stringify 2.1.0 间接依赖 npm
ansi-escapes 4.3.1 间接依赖 npm
executable 4.1.1 间接依赖 npm
@docsearch/react 3.2.1 间接依赖 npm
natural-compare 1.4.0 间接依赖 npm
js-yaml 3.13.1 间接依赖 npm
es6-weak-map 2.0.3 间接依赖 npm
@algolia/client-common 4.14.2 间接依赖 npm
is-retry-allowed 1.2.0 直接依赖 npm
css-shorthand-properties 1.1.1 间接依赖 npm
gulplog 1.0.0 间接依赖 npm
lighthouse-logger 1.2.0 间接依赖 npm
use 3.1.1 间接依赖 npm
preact 10.10.6 间接依赖 npm
got 11.8.2 间接依赖 npm
esbuild-openbsd-64 0.15.7 间接依赖 npm
isexe 2.0.0 间接依赖 npm
@types/component-emitter 1.2.10 间接依赖 npm
json-parse-even-better-errors 2.3.1 直接依赖 npm
assign-symbols 1.0.0 间接依赖 npm
@vue/reactivity 3.2.39 间接依赖 npm
mime-db 1.44.0 间接依赖 npm
json-stringify-safe 5.0.1 间接依赖 npm
loglevel-plugin-prefix 0.8.4 间接依赖 npm
form-data 3.0.1 间接依赖 npm
last-run 1.1.1 间接依赖 npm
esbuild 0.15.7 间接依赖 npm
globalthis 1.0.1 间接依赖 npm
parse-filepath 1.0.2 间接依赖 npm
jsonfile 4.0.0 间接依赖 npm
body-scroll-lock 4.0.0-beta.0 间接依赖 npm
negotiator 0.6.2 间接依赖 npm
type-is 1.6.18 间接依赖 npm
ansi-styles 3.2.1 间接依赖 npm
get-stream 3.0.0 间接依赖 npm
is-docker 2.2.1 间接依赖 npm
decompress 4.2.1 间接依赖 npm
clone-stats 1.0.0 间接依赖 npm
get-value 2.0.6 间接依赖 npm
deep-is 0.1.3 间接依赖 npm
for-in 1.0.2 间接依赖 npm
remove-trailing-separator 1.1.0 间接依赖 npm
pretty-bytes 5.6.0 间接依赖 npm
rimraf 3.0.2 间接依赖 npm
terser 5.7.1 直接依赖 npm
core-js 3.6.5 间接依赖 npm
@types/color-name 1.1.1 直接依赖 npm
invert-kv 1.0.0 间接依赖 npm
fs.realpath 1.0.0 间接依赖 npm
karma 6.3.4 直接依赖 npm
array-initial 1.1.0 间接依赖 npm
connect 3.7.0 间接依赖 npm
escape-html 1.0.3 间接依赖 npm
lines-and-columns 1.1.6 直接依赖 npm
parse-node-version 1.0.1 间接依赖 npm
pretty-hrtime 1.0.3 间接依赖 npm
eslint 6.8.0 间接依赖 npm
p-cancelable 2.1.1 间接依赖 npm
object.defaults 1.1.0 间接依赖 npm
fd-slicer 1.1.0 间接依赖 npm
bin-wrapper 4.1.0 间接依赖 npm
date-format 3.0.0 间接依赖 npm
encodeurl 1.0.2 间接依赖 npm
next-tick 1.0.0 间接依赖 npm
es6-symbol 3.1.1 间接依赖 npm
capital-case 1.0.4 间接依赖 npm
object.map 1.0.1 间接依赖 npm
async-settle 1.0.0 间接依赖 npm
esutils 2.0.2 间接依赖 npm
mute-stream 0.0.8 间接依赖 npm
lodash.union 4.6.0 间接依赖 npm
bach 1.2.0 间接依赖 npm
resolve 1.22.1 间接依赖 npm
progress 2.0.3 间接依赖 npm
@vue/compiler-sfc 3.2.39 间接依赖 npm
@vue/devtools-api 6.2.1 间接依赖 npm
color-convert 1.9.3 间接依赖 npm
array-last 1.3.0 间接依赖 npm
unbzip2-stream 1.4.3 间接依赖 npm
streamroller 2.2.4 间接依赖 npm
readable-stream 2.3.6 间接依赖 npm
import-lazy 3.1.0 间接依赖 npm
lodash 4.17.21 间接依赖 npm
strip-json-comments 3.1.0 间接依赖 npm
os-tmpdir 1.0.2 间接依赖 npm
url-parse-lax 3.0.0 直接依赖 npm
optionator 0.8.3 间接依赖 npm
arr-flatten 1.1.0 间接依赖 npm
get-proxy 2.1.0 间接依赖 npm
strip-bom 2.0.0 间接依赖 npm
path-exists 2.1.0 间接依赖 npm
glob-watcher 5.0.5 间接依赖 npm
glob-stream 6.1.0 间接依赖 npm
quick-lru 5.1.1 间接依赖 npm
is-promise 2.1.0 间接依赖 npm
inherits 2.0.3 间接依赖 npm
mute-stdout 1.0.1 间接依赖 npm
argparse 1.0.10 间接依赖 npm
nice-try 1.0.5 间接依赖 npm
concat-stream 1.6.2 间接依赖 npm
agent-base 5.1.1 间接依赖 npm
undertaker 1.2.1 间接依赖 npm
custom-event 1.0.1 间接依赖 npm
bin-version 3.1.0 间接依赖 npm
@algolia/client-account 4.14.2 间接依赖 npm
path-type 1.1.0 间接依赖 npm
loglevel 1.7.1 间接依赖 npm
flat-cache 2.0.1 间接依赖 npm
process-nextick-args 2.0.1 间接依赖 npm
parent-module 1.0.1 间接依赖 npm
vitepress 1.0.0-alpha.14 直接依赖 npm
grapheme-splitter 1.0.4 间接依赖 npm
value-or-function 3.0.0 间接依赖 npm
lodash.merge 4.6.2 间接依赖 npm
arr-map 2.0.2 间接依赖 npm
stream-shift 1.0.0 间接依赖 npm
unset-value 1.0.0 间接依赖 npm
debug 2.6.9 间接依赖 npm
p-event 2.3.1 间接依赖 npm
path-dirname 1.0.2 间接依赖 npm
semver-compare 1.0.0 间接依赖 npm
base 0.11.2 间接依赖 npm
@algolia/client-search 4.14.2 间接依赖 npm
which-pm-runs 1.0.0 间接依赖 npm
vscode-oniguruma 1.6.2 间接依赖 npm
eventemitter3 4.0.4 间接依赖 npm
vue 3.2.39 间接依赖 npm
tar-stream 1.6.2 间接依赖 npm
cacheable-request 7.0.1 间接依赖 npm
resolve-dir 1.0.1 间接依赖 npm
stream-counter 1.0.0 间接依赖 npm
resq 1.10.0 间接依赖 npm
is-valid-glob 1.0.0 间接依赖 npm
object.pick 1.3.0 间接依赖 npm
braces 2.3.2 间接依赖 npm
lazystream 1.0.0 间接依赖 npm
cookie 0.4.1 间接依赖 npm
normalize-package-data 2.4.0 间接依赖 npm
isobject 3.0.1 间接依赖 npm
set-blocking 2.0.0 直接依赖 npm
acorn 7.1.1 间接依赖 npm
qjobs 1.2.0 间接依赖 npm
esbuild-sunos-64 0.15.7 间接依赖 npm
esbuild-darwin-64 0.15.7 间接依赖 npm
deepmerge 4.2.2 间接依赖 npm
picomatch 2.2.3 直接依赖 npm
into-stream 3.1.0 直接依赖 npm
atob 2.1.2 间接依赖 npm
@esbuild/linux-loong64 0.15.7 间接依赖 npm
algoliasearch 4.14.2 间接依赖 npm
cacheable-lookup 5.0.4 间接依赖 npm
string-width 1.0.2 间接依赖 npm
@algolia/cache-common 4.14.2 间接依赖 npm
gulp-size 4.0.1 直接依赖 npm
media-typer 0.3.0 间接依赖 npm
mkdirp 0.5.5 间接依赖 npm
strip-outer 1.0.1 间接依赖 npm
esbuild-freebsd-64 0.15.7 间接依赖 npm
remove-bom-stream 1.2.0 间接依赖 npm
strict-uri-encode 1.1.0 间接依赖 npm
range-parser 1.2.1 间接依赖 npm
fs-extra 8.1.0 间接依赖 npm
isbinaryfile 4.0.8 间接依赖 npm
sparkles 1.0.1 间接依赖 npm
util-deprecate 1.0.2 间接依赖 npm
@types/cacheable-request 6.0.1 间接依赖 npm
iconv-lite 0.4.24 间接依赖 npm
buffer-fill 1.0.0 间接依赖 npm
p-timeout 2.0.1 间接依赖 npm
fs-mkdirp-stream 1.0.0 间接依赖 npm
dom-serialize 2.2.1 间接依赖 npm
copy-props 2.0.4 间接依赖 npm
locate-path 5.0.0 直接依赖 npm
crc32-stream 4.0.2 间接依赖 npm
ajv 6.12.2 间接依赖 npm
gulp-eslint 6.0.0 直接依赖 npm
@types/node 15.0.2 间接依赖 npm
esbuild-linux-s390x 0.15.7 间接依赖 npm
replace-homedir 1.0.0 间接依赖 npm
d 1.0.1 间接依赖 npm
globalyzer 0.1.0 间接依赖 npm
flatted 2.0.0 间接依赖 npm
lodash.flatten 4.4.0 间接依赖 npm
component-emitter 1.3.0 间接依赖 npm
source-map 0.5.7 间接依赖 npm
pinkie 2.0.4 间接依赖 npm
statuses 1.5.0 间接依赖 npm
duplexer3 0.1.4 直接依赖 npm
di 0.0.1 间接依赖 npm
pascalcase 0.1.1 间接依赖 npm
archiver-utils 2.1.0 间接依赖 npm
kind-of 6.0.3 间接依赖 npm
hosted-git-info 2.8.9 间接依赖 npm
base64-arraybuffer 0.1.4 间接依赖 npm
rfdc 1.1.4 间接依赖 npm
globals 12.4.0 间接依赖 npm
time-stamp 1.1.0 间接依赖 npm
import-fresh 3.2.1 间接依赖 npm
type-check 0.3.2 间接依赖 npm
setprototypeof 1.1.1 间接依赖 npm
pumpify 1.5.1 间接依赖 npm
through2 2.0.3 间接依赖 npm
@types/puppeteer 5.4.3 间接依赖 npm
homedir-polyfill 1.0.3 间接依赖 npm
extract-zip 2.0.1 间接依赖 npm
lodash.defaults 4.2.0 间接依赖 npm
astral-regex 1.0.0 间接依赖 npm
once 1.4.0 间接依赖 npm
functional-red-black-tree 1.0.1 间接依赖 npm
prosthetic-hand 1.3.1 直接依赖 npm
which 1.3.1 间接依赖 npm
punycode 2.1.1 间接依赖 npm
snapdragon-node 2.1.1 间接依赖 npm
findup-sync 3.0.0 间接依赖 npm
cors 2.8.5 间接依赖 npm
@algolia/cache-browser-local-storage 4.14.2 间接依赖 npm
vary 1.1.2 间接依赖 npm
tunnel-agent 0.6.0 间接依赖 npm
webdriver 6.12.1 间接依赖 npm
bl 1.2.3 间接依赖 npm
path-case 3.0.4 间接依赖 npm
unpipe 1.0.0 间接依赖 npm
unique-stream 2.3.1 间接依赖 npm
file-entry-cache 5.0.1 间接依赖 npm
@types/puppeteer-core 5.4.0 间接依赖 npm
vinyl-sourcemap 1.1.0 间接依赖 npm
arr-diff 4.0.0 间接依赖 npm
vinyl 2.2.0 间接依赖 npm
universalify 0.1.2 间接依赖 npm
file-uri-to-path 1.0.0 间接依赖 npm
@algolia/transporter 4.14.2 间接依赖 npm
gzip-size 6.0.0 间接依赖 npm
object.reduce 1.0.1 间接依赖 npm
collection-map 1.0.0 间接依赖 npm
body-parser 1.19.0 间接依赖 npm
yocto-queue 0.1.0 直接依赖 npm
semver-regex 2.0.0 间接依赖 npm
@types/web-bluetooth 0.0.15 间接依赖 npm
y18n 3.2.2 间接依赖 npm
requires-port 1.0.0 间接依赖 npm
sver-compat 1.5.0 间接依赖 npm
estree-walker 2.0.2 间接依赖 npm
url-to-options 1.0.1 间接依赖 npm
esprima 4.0.1 间接依赖 npm
shiki 0.11.1 间接依赖 npm
fined 1.2.0 间接依赖 npm
camelcase 3.0.0 间接依赖 npm
param-case 3.0.4 间接依赖 npm
repeat-element 1.1.3 间接依赖 npm
supports-color 5.5.0 间接依赖 npm
sentence-case 3.0.4 间接依赖 npm
hash.js 1.1.7 间接依赖 npm
object-keys 1.1.1 间接依赖 npm
run-async 2.4.0 间接依赖 npm
estraverse 4.3.0 间接依赖 npm
fs-constants 1.0.0 间接依赖 npm
utils-merge 1.0.1 间接依赖 npm
@algolia/autocomplete-shared 1.7.1 间接依赖 npm
esbuild-darwin-arm64 0.15.7 间接依赖 npm
esbuild-linux-ppc64le 0.15.7 间接依赖 npm
semver 5.7.1 间接依赖 npm
load-json-file 1.1.0 间接依赖 npm
pinkie-promise 2.0.1 间接依赖 npm
word-wrap 1.2.3 间接依赖 npm
set-value 2.0.1 间接依赖 npm
global-modules 1.0.0 间接依赖 npm
string_decoder 1.1.1 间接依赖 npm
zip-stream 4.1.0 间接依赖 npm
lower-case 2.0.2 间接依赖 npm
to-through 2.0.0 间接依赖 npm
stack-trace 0.0.10 间接依赖 npm
mime 2.5.2 间接依赖 npm
strip-dirs 2.1.0 间接依赖 npm
lcid 1.0.0 间接依赖 npm
parse-passwd 1.0.0 间接依赖 npm
replace-ext 1.0.0 间接依赖 npm
mimic-response 1.0.1 间接依赖 npm
@vue/compiler-dom 3.2.39 间接依赖 npm
is-data-descriptor 0.1.4 间接依赖 npm
es6-iterator 2.0.3 间接依赖 npm
esbuild-windows-32 0.15.7 间接依赖 npm
chokidar 2.1.8 间接依赖 npm
escalade 3.1.1 间接依赖 npm
buffer-alloc-unsafe 1.1.0 间接依赖 npm
archiver 5.3.0 间接依赖 npm
karma-qunit 4.1.2 直接依赖 npm
spdx-license-ids 3.0.0 间接依赖 npm
stream-exhaust 1.0.2 间接依赖 npm
responselike 2.0.0 间接依赖 npm
find-versions 3.2.0 间接依赖 npm
esbuild-windows-64 0.15.7 间接依赖 npm
web-animations-js 2.3.2 直接依赖 npm
callsites 3.1.0 间接依赖 npm
pump 2.0.1 间接依赖 npm
bytes 3.1.0 间接依赖 npm
is-binary-path 1.0.1 间接依赖 npm
tunnel 0.0.6 间接依赖 npm
@vue/shared 3.2.39 间接依赖 npm
snapdragon 0.8.2 间接依赖 npm
upath 1.2.0 间接依赖 npm
@wdio/config 6.12.1 间接依赖 npm
core-util-is 1.0.2 间接依赖 npm
parseurl 1.3.3 间接依赖 npm
escape-string-regexp 1.0.5 间接依赖 npm
plugin-error 1.0.1 间接依赖 npm
@types/http-cache-semantics 4.0.0 间接依赖 npm
function-bind 1.1.1 间接依赖 npm
interpret 1.4.0 间接依赖 npm
write 1.0.3 间接依赖 npm
has-value 1.0.0 间接依赖 npm
source-map-js 1.0.2 间接依赖 npm
esquery 1.3.1 间接依赖 npm
arr-filter 1.1.2 间接依赖 npm
semver-greatest-satisfied-range 1.1.0 间接依赖 npm
upper-case-first 2.0.2 间接依赖 npm
extend-shallow 3.0.2 间接依赖 npm
nprogress 0.2.0 间接依赖 npm
brotli-size 4.0.0 间接依赖 npm
vscode-textmate 6.0.0 间接依赖 npm
esbuild-netbsd-64 0.15.7 间接依赖 npm
accepts 1.3.7 间接依赖 npm
typedarray 0.0.6 间接依赖 npm
please-upgrade-node 3.2.0 间接依赖 npm
lodash.zip 4.2.0 间接依赖 npm
imurmurhash 0.1.4 间接依赖 npm
proxy-from-env 1.1.0 间接依赖 npm
gulp-cli 2.3.0 间接依赖 npm
is-arrayish 0.2.1 间接依赖 npm
lowercase-keys 2.0.0 间接依赖 npm
lead 1.0.0 间接依赖 npm
ret 0.1.15 间接依赖 npm
extglob 2.0.4 间接依赖 npm
finalhandler 1.1.2 间接依赖 npm
filename-reserved-regex 2.0.0 间接依赖 npm
default-compare 1.0.0 间接依赖 npm
glob-parent 3.1.0 间接依赖 npm
node-watch 0.7.1 间接依赖 npm
esbuild-linux-arm64 0.15.7 间接依赖 npm
cosmiconfig 7.0.0 间接依赖 npm
vite 3.1.0 间接依赖 npm
rechoir 0.6.2 间接依赖 npm
is-utf8 0.2.1 间接依赖 npm
archive-type 4.0.0 间接依赖 npm
flush-write-stream 1.1.1 间接依赖 npm
mixin-deep 1.3.2 间接依赖 npm
acorn-jsx 5.2.0 间接依赖 npm
@algolia/autocomplete-preset-algolia 1.7.1 间接依赖 npm
keyv 4.0.3 间接依赖 npm
at-least-node 1.0.0 直接依赖 npm
ext-name 5.0.0 间接依赖 npm
@wdio/utils 6.11.0 间接依赖 npm
dotenv 10.0.0 直接依赖 npm
p-try 2.2.0 间接依赖 npm
vinyl-fs 3.0.3 间接依赖 npm
@algolia/requester-node-http 4.14.2 间接依赖 npm
prelude-ls 1.1.2 间接依赖 npm
binary-extensions 1.11.0 间接依赖 npm
extend 3.0.2 间接依赖 npm
esbuild-linux-32 0.15.7 间接依赖 npm
fancy-log 1.3.3 间接依赖 npm
source-map-url 0.4.0 间接依赖 npm
is-core-module 2.10.0 间接依赖 npm
to-absolute-glob 2.0.2 间接依赖 npm
@algolia/cache-in-memory 4.14.2 间接依赖 npm
cli-width 2.2.1 间接依赖 npm
edge-paths 2.2.1 间接依赖 npm
cross-spawn 6.0.5 间接依赖 npm
decompress-tarbz2 4.1.1 间接依赖 npm
sprintf-js 1.0.3 间接依赖 npm
filenamify 2.1.0 间接依赖 npm
@types/yauzl 2.9.1 间接依赖 npm
@babel/code-frame 7.0.0 间接依赖 npm
toidentifier 1.0.0 间接依赖 npm
code-point-at 1.1.0 间接依赖 npm
prettier 2.3.2 直接依赖 npm
type 1.0.1 间接依赖 npm
liftoff 3.1.0 间接依赖 npm
prepend-http 2.0.0 间接依赖 npm
now-and-later 2.0.1 间接依赖 npm
serialize-error 7.0.1 间接依赖 npm
@types/responselike 1.0.0 间接依赖 npm
detect-file 1.0.0 间接依赖 npm
csstype 2.6.20 间接依赖 npm
depd 1.1.2 间接依赖 npm
@babel/highlight 7.5.0 间接依赖 npm
chardet 0.7.0 间接依赖 npm
normalize-path 2.1.1 间接依赖 npm
esbuild-windows-arm64 0.15.7 间接依赖 npm
rollup 2.52.8 间接依赖 npm
esbuild-linux-arm 0.15.7 间接依赖 npm
header-case 2.0.4 间接依赖 npm
duplexer 0.1.1 间接依赖 npm
is-extendable 0.1.1 间接依赖 npm
globrex 0.1.2 间接依赖 npm
decompress-targz 4.1.1 间接依赖 npm
safe-regex 1.1.0 间接依赖 npm
npm-run-path 2.0.2 间接依赖 npm
has-flag 3.0.0 间接依赖 npm
flagged-respawn 1.0.1 间接依赖 npm
ws 7.4.6 间接依赖 npm
@algolia/requester-browser-xhr 4.14.2 间接依赖 npm
mezr 0.6.2 直接依赖 npm
object-assign 4.1.1 间接依赖 npm
@sindresorhus/is 4.0.1 间接依赖 npm
is-buffer 1.1.6 间接依赖 npm
emoji-regex 8.0.0 直接依赖 npm
detect-node 2.0.4 间接依赖 npm
puppeteer-core 5.5.0 间接依赖 npm
is-negated-glob 1.0.0 间接依赖 npm
js-tokens 4.0.0 间接依赖 npm
resolve-alpn 1.1.2 间接依赖 npm
resolve-url 0.2.1 间接依赖 npm
@algolia/autocomplete-core 1.7.1 间接依赖 npm
arr-union 3.1.0 间接依赖 npm
require-directory 2.1.1 间接依赖 npm
strip-ansi 3.0.1 间接依赖 npm
nan 2.14.0 间接依赖 npm
source-map-resolve 0.5.2 间接依赖 npm
constant-case 3.0.4 间接依赖 npm
each-props 1.3.2 间接依赖 npm
css-value 0.0.1 间接依赖 npm
to-regex 3.0.2 间接依赖 npm
http-cache-semantics 4.1.0 间接依赖 npm
find-up 1.1.2 间接依赖 npm
slash 3.0.0 间接依赖 npm
karma-sauce-launcher 4.3.6 直接依赖 npm
pascal-case 3.1.2 间接依赖 npm
is-absolute 1.0.0 间接依赖 npm
wrap-ansi 2.1.0 间接依赖 npm
ansi-regex 2.1.1 间接依赖 npm
is-wsl 2.2.0 间接依赖 npm
to-object-path 0.3.0 间接依赖 npm
yallist 2.1.2 间接依赖 npm
pify 2.3.0 间接依赖 npm
error-ex 1.3.2 间接依赖 npm
postcss 8.4.16 间接依赖 npm
json-stable-stringify-without-jsonify 1.0.1 间接依赖 npm
base64id 2.0.0 间接依赖 npm
asynckit 0.4.0 间接依赖 npm
uuid 8.3.2 间接依赖 npm
matchdep 2.0.0 间接依赖 npm
safe-buffer 5.1.2 间接依赖 npm
urix 0.1.0 间接依赖 npm
rxjs 6.5.5 间接依赖 npm
v8-compile-cache 2.1.0 间接依赖 npm
jsonc-parser 3.2.0 间接依赖 npm
json-schema-traverse 0.4.1 间接依赖 npm
shebang-regex 1.0.0 间接依赖 npm
tslib 1.11.1 间接依赖 npm
array-unique 0.3.2 间接依赖 npm
os-filter-obj 2.0.0 间接依赖 npm
opencollective-postinstall 2.0.3 间接依赖 npm
no-case 3.0.4 间接依赖 npm
cloneable-readable 1.1.3 间接依赖 npm
engine.io-parser 4.0.2 间接依赖 npm
object.assign 4.1.0 间接依赖 npm
split-string 3.1.0 间接依赖 npm
for-own 1.0.0 间接依赖 npm
file-type 8.1.0 间接依赖 npm
eslint-scope 5.0.0 间接依赖 npm
bindings 1.5.0 间接依赖 npm
lru-cache 4.1.5 直接依赖 npm
decompress-response 6.0.0 间接依赖 npm
@vueuse/shared 9.2.0 间接依赖 npm
is-fullwidth-code-point 1.0.0 间接依赖 npm
tar-fs 2.1.1 间接依赖 npm
minimalistic-assert 1.0.1 间接依赖 npm
regexpp 2.0.1 间接依赖 npm
isarray 1.0.0 间接依赖 npm
xtend 4.0.1 间接依赖 npm
slice-ansi 2.1.0 间接依赖 npm
is-relative 1.0.0 间接依赖 npm
trim-repeated 1.0.0 间接依赖 npm
figures 3.2.0 间接依赖 npm
@vue/runtime-core 3.2.39 间接依赖 npm
eslint-visitor-keys 1.1.0 间接依赖 npm
devtools-protocol 0.0.818844 间接依赖 npm
ee-first 1.1.1 间接依赖 npm
resolve-options 1.1.0 间接依赖 npm
chalk 2.4.1 间接依赖 npm
fast-levenshtein 2.0.6 间接依赖 npm
buffer-from 1.1.1 间接依赖 npm
duplexify 3.7.1 间接依赖 npm
make-dir 1.3.0 间接依赖 npm
yaml 1.10.2 间接依赖 npm
ordered-read-streams 1.0.1 间接依赖 npm
is-windows 1.0.2 间接依赖 npm
restore-cursor 3.1.0 间接依赖 npm
snake-case 3.0.4 间接依赖 npm
@types/cors 2.8.10 间接依赖 npm
@vue/reactivity-transform 3.2.39 间接依赖 npm
is-number 3.0.0 间接依赖 npm
follow-redirects 1.12.1 间接依赖 npm
chrome-launcher 0.13.4 间接依赖 npm
node-fetch 2.6.1 间接依赖 npm
@algolia/logger-console 4.14.2 间接依赖 npm
is-builtin-module 1.0.0 间接依赖 npm
colors 1.4.0 间接依赖 npm
concat-map 0.0.1 间接依赖 npm
combined-stream 1.0.8 间接依赖 npm
karma-story-reporter 0.3.1 直接依赖 npm
(0)
上一篇 2024年2月15日
下一篇 2024年2月15日

相关推荐

  • Huangtuzhi/IrDAStudy 软件分析报告

    基础信息 项目名称:Huangtuzhi/IrDAStudy 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1718684234557472768/1718684234595221504 此报告由Murphysec…

    软件分析 2023年10月30日
    0
  • Bluegrams/Vividl 软件分析报告

    基础信息 项目名称:Bluegrams/Vividl 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1716391133088366592/1716391150087880704 此报告由Murphysec提供 漏…

    软件分析 2023年10月23日
    0
  • koel/koel 软件分析报告

    基础信息 项目名称:koel/koel 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1719509173716779008/1719509173809053696 此报告由Murphysec提供 漏洞列表 漏洞名…

    软件分析 2023年11月1日
    0
  • fanux/sealos 软件分析报告

    基础信息 项目名称:fanux/sealos 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721187083367743488/1726103166963376128 此报告由Murphysec提供 漏洞列表 …

    软件分析 2023年11月19日
    0
  • Genymobile/gnirehtet 软件分析报告

    基础信息 项目名称:Genymobile/gnirehtet 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721219476237651968/1732060501573591040 此报告由Murphysec…

    软件分析 2023年12月5日
    0